import java.lang.*;

/*
-------------------------------------------------------------------------------
Estocasticitat estadistica
-------------------------------------------------------------------------------
Dades: a (un dels valors de R), b (l'altre valor possible de R),
       x (nombre inicial de membres de l'especie), max (nombre de passos que
       es calcularan)
Resultats: Fitxer "estoc1.dat" amb dues columnes. Cada fila representa un
           instant de temps. La primera columna es l'ordinal de l'instant de
           temps. La segona es el nombre d'exemplars de l'especie en aquell
           instant de temps
Dades de prova: a=0.8 b=1.25 x=1000.0 max=3 ==> 0, 1000.0; 1, 1250.0;
                2, 1562.5; 3, 1953.125
Observacions: En execucions succesives s'obtenen els mateixos resultats. Per
              obtenir-ne de diferents caldria canviar la llavor del generador
              de nombres aleatoris (srand)
-------------------------------------------------------------------------------
*/

public class Estoc1Calculs {
	double a,b,x,traj[];
	int max;

	Estoc1Calculs(float a0,float b0,float x0,int max0) {
		double r,w;
		int i,k,n;

		a = (double) a0;
		b = (double) b0;
		x = (double) x0;
		max = max0;
		traj = new double[max];

		traj[0] = x;
		for(n=1;n<max;n++) {
			w = 1000.d*Math.random();
			k = (int) w;
			i = k%2;
			r = (1-i)*a+i*b;
			x = r*x;
			traj[n] = x;
		}
	}
}
