import java.lang.*;

/*
-------------------------------------------------------------------------------
Aplicacio logistica
-------------------------------------------------------------------------------
Dades: r (el factor de creixement), x (nombre inicial de membres de l'especie),
       max (nombre de passos que volem calcular)
Resultats: Fitxer "estoc1.dat", amb dues columnes. Cada fila representa un
           instant de temps. La primera columna es l'ordinal del pas i la
           segona el nombre de membres de l'especie en aquell instant
Dades de prova: r=1.5 x=0.1 max=3 ==> 0, 0.1; 1, 0.135; 2, 0.175163;
                3, 0.216721
Observacions: R ha de tenir un valor entre 0 i 4. x esta normalitzat i pot
              valer entre 0 i 1.
-------------------------------------------------------------------------------
*/

public class Logist1Calculs {
	double r,x,traj[];
	int max;

	Logist1Calculs(float r0,float x0,int max0) {
		int n;

		r = (double) r0;
		x = (double) x0;
		max = max0;
		traj = new double[max];

		traj[0] = x;
		for(n=1;n<max;n++) {
			x = r*x*(1.0-x);
			traj[n] = x;
		}
	}
}
